
Foreman - Bug #1020

edit multiple and then change group does not enable the OK button

06/30/2011 10:27 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1) select some hosts

2) edit multiple

3) change group

4) select a group

OK button is not activated.

I think that this does work sometimes but mostly it does not

This was seen on develop @ fixes #1010

Associated revisions

Revision f3f39194 - 07/03/2011 02:03 AM - Paul Kelly

Fixes #1020 - edit multiple ok button

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 07/01/2011 06:17 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Assignee changed from Ohad Levy to Paul Kelly

This appears to be caused by the edit_multiple dialog being re-rendered each time that it is opened. The correct solution is to render it once and

reuse it but this fix just ensures that the button that is enabled/disabled is the one that is associated with the dialog that is currently visible.

#2 - 07/03/2011 02:05 AM - Ohad Levy

- Target version set to 0.4

#3 - 07/03/2011 03:26 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f3f39194f349c6575c87efe0c0cb989b4818b2a6.
